Commit de7afc45 authored by Louis Abel's avatar Louis Abel 📺
Browse files

Merge branch 'devel' into 'main'

minor changes

See merge request !30
parents 4bd83696 59201afb
Pipeline #94 passed with stage
in 31 seconds
...@@ -10,6 +10,7 @@ MAJ=${RLVER} ...@@ -10,6 +10,7 @@ MAJ=${RLVER}
# sync all pieces of a release, including extras, nfv, etc # sync all pieces of a release, including extras, nfv, etc
for COMPOSE in Rocky "${NONMODS_REPOS[@]}"; do for COMPOSE in Rocky "${NONMODS_REPOS[@]}"; do
echo "${COMPOSE}: Syncing"
cd "/mnt/compose/${MAJ}/latest-${COMPOSE}-${MAJ}/compose" || { echo "${COMPOSE}: Failed to change directory"; break; } cd "/mnt/compose/${MAJ}/latest-${COMPOSE}-${MAJ}/compose" || { echo "${COMPOSE}: Failed to change directory"; break; }
TARGET="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}" TARGET="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}"
...@@ -22,27 +23,36 @@ for COMPOSE in Rocky "${NONMODS_REPOS[@]}"; do ...@@ -22,27 +23,36 @@ for COMPOSE in Rocky "${NONMODS_REPOS[@]}"; do
done done
# sync all sig stuff # sync all sig stuff
for SIG in "${!SIG_COMPOSE[@]}"; do # Disabled as we will have a different method for sig content and sig content
cd "/mnt/compose/${MAJ}/latest-${SIG}-${MAJ}/compose" || { echo "${COMPOSE}: Failed to change directory"; break; } # is available upstream.
#for SIG in "${!SIG_COMPOSE[@]}"; do
TARGET="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}/${SIG_COMPOSE[$SIG]}" # echo "${SIG}: Syncing"
mkdir -p "${TARGET}" # cd "/mnt/compose/${MAJ}/latest-${SIG}-${MAJ}/compose" || { echo "${COMPOSE}: Failed to change directory"; break; }
# disabling because none of our files should be starting with dashes. If they #
# are something is *seriously* wrong here. # TARGET="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}/${SIG_COMPOSE[$SIG]}"
# shellcheck disable=SC2035 # mkdir -p "${TARGET}"
sudo -l && find **/* -maxdepth 0 -type d | parallel --will-cite -j 18 sudo rsync -av --chown=10004:10005 --progress --relative --human-readable \ # # disabling because none of our files should be starting with dashes. If they
{} "${TARGET}" # # are something is *seriously* wrong here.
done # # shellcheck disable=SC2035
# sudo -l && find **/* -maxdepth 0 -type d | parallel --will-cite -j 18 sudo rsync -av --chown=10004:10005 --progress --relative --human-readable \
# {} "${TARGET}"
#done
# copy around the ISOs a bit, make things comfortable # copy around the ISOs a bit, make things comfortable
for ARCH in "${ARCHES[@]}"; do for ARCH in "${ARCHES[@]}"; do
TARGET="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}/isos/${ARCH}" TARGET="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}/isos/${ARCH}"
# who knows if EL9 will change the name of baseos # who knows if EL10 will change the name of baseos
for x in BaseOS Minimal; do for x in BaseOS Minimal; do
SOURCE="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}/${x}/${ARCH}/iso" echo "${x} ${ARCH}: Copying ISO images"
mkdir -p "${TARGET}" # Hardcoding this for now
cp "${SOURCE}/*.iso" "${TARGET}" SOURCE="/mnt/compose/${MAJ}/latest-Rocky-${MAJ}/compose/${x}/${ARCH}/iso"
cp "${SOURCE}/*.iso.manifest" "${TARGET}" TARGET_ARCH="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}/${x}/${ARCH}/iso"
mkdir -p "${SOURCE}" "${TARGET}" "${TARGET_ARCH}"
# Copy the ISO and manifests into their target architecture
cp "${SOURCE}/*.iso*" "${TARGET_ARCH}/"
cp "${SOURCE}/CHECKSUM" "${TARGET_ARCH}/"
# Copy the ISO and manifests into the main isos target
cp "${SOURCE}/*.iso*" "${TARGET}/"
cat "${SOURCE}/CHECKSUM" >> "${TARGET}/CHECKSUM" cat "${SOURCE}/CHECKSUM" >> "${TARGET}/CHECKSUM"
done done
done done
...@@ -52,16 +62,19 @@ for ARCH in "${ARCHES[@]}"; do ...@@ -52,16 +62,19 @@ for ARCH in "${ARCHES[@]}"; do
for REPO in "${MODS_REPOS[@]}"; do for REPO in "${MODS_REPOS[@]}"; do
SOURCE="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}/${REPO}/${ARCH}/os" SOURCE="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}/${REPO}/${ARCH}/os"
TARGET="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}/${REPO}/${ARCH}/kickstart" TARGET="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}/${REPO}/${ARCH}/kickstart"
echo "Making golden kickstart directory"
cp -na "${SOURCE}" "${TARGET}" cp -na "${SOURCE}" "${TARGET}"
done done
done done
# fix treeinfo # fix treeinfo
for ARCH in "${ARCHES[@]}"; do for ARCH in "${ARCHES[@]}"; do
echo "Ensuring treeinfo is correct"
treeinfoModder "${ARCH}" treeinfoModder "${ARCH}"
done done
# sign all repos # sign all repos
echo "Signing all repositories"
test -f $(dirname "$0")/sign-repos-only.sh test -f $(dirname "$0")/sign-repos-only.sh
ret_val=$? ret_val=$?
...@@ -70,5 +83,6 @@ if [ "$ret_val" -eq 0 ]; then ...@@ -70,5 +83,6 @@ if [ "$ret_val" -eq 0 ]; then
fi fi
# Change Symlink if required # Change Symlink if required
echo "Setting symlink to ${REV}"
/bin/rm "${STAGING_ROOT}/${CATEGORY_STUB}/latest-8" /bin/rm "${STAGING_ROOT}/${CATEGORY_STUB}/latest-8"
ln -sr "${STAGING_ROOT}/${CATEGORY_STUB}/${REV}" latest-8 ln -sr "${STAGING_ROOT}/${CATEGORY_STUB}/${REV}" latest-8
#!/bin/bash
# Source common variables
# shellcheck disable=SC2046,1091,1090
source "$(dirname "$0")/common"
if [[ $# -eq 0 ]]; then
echo "You must specify a short name."
exit 1
fi
# For now, only architecture that we support live is x86_64
TARGET="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}/Live/x86_64"
mkdir -p "${TARGET}"
cat > "${TARGET}/README" <<EOF
This directory contains official live images for Rocky Linux. Some rely on the
use of EPEL (KDE and XFCE). As of this writing, the XFCE image does not come
with a default wallpaper. We have been unable to address this directly.
Please open a github issue for these live image kickstarts or a bug if there
are larger issues.
-label
EOF
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment